// Imports
@use "variables" as var;

// Actual Styling
:host {
  display: block;
  position: relative;
  height: 100%;
  padding-top: 58px;

  @media (min-width: var.$breakpoint-desktop) {
    padding-top: var.$default-padding;
  }
}

dsfr-tab {
  display: block;

  @media (min-width: var.$breakpoint-desktop) {
    margin-left: var.$dynamic-box-width-desktop;
  }
}

dsfr-search-bar {
  position: absolute;
  top: var.$mini-padding;
  left: var.$default-padding;
  z-index: 3;
  width: calc(100% - 32px);
  display: block;

  @media (min-width: var.$breakpoint-desktop) {
    width: 370px;
    top: var.$default-padding;
  }
}
